Subject: bug#18938: Emacs 24.3: newline-and-indent has two undo boundaries

From: Samuel Wales <[email-masked]>
Date: Mon, 3 Nov 2014 12:25:30 -0700

Reporting as suggested by Stefan.

In order to bunch up undos by 1 instead of the hardcoded 20, I do this:

  (add-hook 'post-self-insert-hook #'undo-boundary 'append)

This or advice used to work, then around Emacs 24.1 it stopped
working.  Stefan patched it in 24.3.  It now works in most cases.  The
history is in this Debian bug:

  Re: [O] bug#11774: bug#11774: org-mode causes undo boundaries to be lost

I use undo-tree 0.6.6.  The bug also occurs with it turned off.

When I press RET when it is bound to newline-and-indent, the newline
and the indentation are undone separately.  I expected the RET to be
undone.

This is a minor issue for me, but might point to other cases.

Thanks.

Samuel